Core - Bug # 51368

Status: Resolved Priority: Should have
Author: Christoph Buchli Category: Install Tool
Created: 2013-08-26 Assigned To: Christoph Buchli
Updated: 2013-08-27 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject:

Incompatible extension Uninstallation always removes last extension in List

Description

If there are multiple Extensions found that aren't working with the new TYPO3-Version in the Install Tool's "Check for broken
extensions"-section, there is always the last Extension in the list uninstalled, no matter what button is clicked.

Related issues:
related to Core - Task # 49162: Rewrite install tool

Resolved 2011-10-30

Associated revisions

Revision eb217f47 - 2013-08-27 13:17 - Christoph Buchli

[BUGFIX] Install tool: Check for broken ext uninstalls correct ext

"Check for broken extensions" in important actions of the install

tool renders uninstall buttons for every broken extension it found.

Currently only the last extension is uninstalled, no matter which
button is used. The patch fixes this by adding a class to identify
the extension in question to each button and adapts the javascript.

Resolves: #51368

Releases: 6.2

Change-Id: I7b754aca58e262dbd726452f816fe4dfaabef54d
Reviewed-on: https://review.typo3.org/23336

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Stefan Neufeind
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2013-08-26 22:30 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/23336
#2 - 2013-08-26 22:31 - Christoph Buchli
- Assigned To set to Christoph Buchli
- % Done changed from 0 to 50

The patch fixes the issue for me.

#3 - 2013-08-26 22:38 - Wouter Wolters
- Project changed from Install Tool Improvements 4.6 to Core

#4 - 2013-08-26 22:38 - Wouter Wolters
- Category set to Install Tool

- Target version set to 6.2.0

- TYPOS3 Version set to 6.2

#5 - 2013-08-26 22:39 - Wouter Wolters

- Status changed from New to Under Review

#6 - 2013-08-26 23:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23336

#7 - 2013-08-27 10:54 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23336

#8 - 2013-08-27 10:55 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/23336

#9 - 2013-08-27 13:30 - Christoph Buchli
- Status changed from Under Review to Resolved
- % Done changed from 50 to 100

Applied in changeset commit:eb217f4703a1246ed5e867b3fa273a7067f7c4d6.
